From 715fa57ad242bda47af818ed6a82648097ff4de0 Mon Sep 17 00:00:00 2001
From: Richard Guo <guofenglinux@gmail.com>
Date: Mon, 6 Nov 2023 15:05:16 +0800
Subject: [PATCH v1] Use makeNode instead of palloc to make a UniqueRelInfo
 node

---
 src/backend/optimizer/plan/analyzejoins.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/optimizer/plan/analyzejoins.c b/src/backend/optimizer/plan/analyzejoins.c
index ccf07b2077..953e381d6f 100644
--- a/src/backend/optimizer/plan/analyzejoins.c
+++ b/src/backend/optimizer/plan/analyzejoins.c
@@ -1321,7 +1321,7 @@ innerrel_is_unique_ext(PlannerInfo *root,
 		 * supersets of them anyway.
 		 */
 		old_context = MemoryContextSwitchTo(root->planner_cxt);
-		uniqueRelInfo = palloc(sizeof(UniqueRelInfo));
+		uniqueRelInfo = makeNode(UniqueRelInfo);
 		uniqueRelInfo->extra_clauses = outer_exprs;
 		uniqueRelInfo->outerrelids = bms_copy(outerrelids);
 		innerrel->unique_for_rels = lappend(innerrel->unique_for_rels,
-- 
2.31.0

